Subject: Re: 745224e0 gcc-4.9 emmintrin.h build error

From: David Turner <[email-masked]>
Date: Thu, 10 Jul 2014 15:58:24 -0700

On Fri, 2014-07-11 at 00:12 +0200, Tuncer Ayaz wrote:
> Sorry, didn't test properly when I tried with/without config.mak, and
> PROFILE=BUILD was the problem. I had that in config.mak based on
> information gathered from INSTALL and Makefile. To be clear, is
> PROFILE=BUILD (still) supported?

For what it's worth, the problem seems to depend on the combination of
-DNO_NOTRETURN=1 and -fprofile-use.  So I can trigger the same breakage
with this:
---
#define NO_NORETURN 1
#include "git-compat-util.h"

int main() {}
---
gcc -I. -c -fprofile-use=/tmp foo.c -o foo.o

Do we still need NO_NORETURN?  Git seems to build without it under GCC
4.6.3 (Ubuntu's version).